Bug 78167 - java.lang.NullPointerException for creation element type variable
java.lang.NullPointerException for creation element type variable
Status: VERIFIED FIXED
Product: soa
Classification: Unclassified
Component: BPEL
5.x
PC Windows XP
: P1 (vote)
: 5.x
Assigned To: Nikita Krjukov
issues@soa
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2006-06-16 15:59 UTC by bugbridge
Modified: 2006-08-31 02:01 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description bugbridge 2006-06-16 15:59:57 UTC
Description:
1. Open process property editor dialog.
2. Switch to 'Variables' TAB and push 'Add' button..
3. Set name for variable. Select 'Element Type'. Push 'Browse ...' 

java.lang.NullPointerException
	at
org.netbeans.modules.bpel.properties.editors.nodes.ElementTypeContainerNode$SchemalFiles.createNodes(ElementTypeContainerNode.java:76)
	at org.openide.nodes.Children$Keys$KE.nodes(Children.java:2144)
	at org.openide.nodes.ChildrenArray.nodesFor(ChildrenArray.java:123)
	at org.openide.nodes.Children$Info.nodes(Children.java:1212)
	at org.openide.nodes.Children.justComputeNodes(Children.java:679)
	at org.openide.nodes.ChildrenArray.nodes(ChildrenArray.java:64)
	at org.openide.nodes.Children.getNodes(Children.java:350)
	at org.openide.explorer.view.VisualizerNode.getChildren(VisualizerNode.java:215)
	at org.openide.explorer.view.VisualizerNode.getChildCount(VisualizerNode.java:258)
	at javax.swing.tree.DefaultTreeModel.getChildCount(DefaultTreeModel.java:168)
	at
javax.swing.tree.VariableHeightLayoutCache$TreeStateNode.expand(VariableHeightLayoutCache.java:1461)
	at
javax.swing.tree.VariableHeightLayoutCache$TreeStateNode.expand(VariableHeightLayoutCache.java:1270)
	at
javax.swing.tree.VariableHeightLayoutCache.rebuild(VariableHeightLayoutCache.java:725)
	at
javax.swing.tree.VariableHeightLayoutCache.treeStructureChanged(VariableHeightLayoutCache.java:626)
	at
javax.swing.plaf.basic.BasicTreeUI$Handler.treeStructureChanged(BasicTreeUI.java:3660)
	at
javax.swing.tree.DefaultTreeModel.fireTreeStructureChanged(DefaultTreeModel.java:559)
	at
javax.swing.tree.DefaultTreeModel.nodeStructureChanged(DefaultTreeModel.java:345)
	at javax.swing.tree.DefaultTreeModel.setRoot(DefaultTreeModel.java:117)
	at org.openide.explorer.view.NodeTreeModel$1.run(NodeTreeModel.java:70)
	at org.openide.util.Mutex.doEvent(Mutex.java:1152)
	at org.openide.util.Mutex.readAccess(Mutex.java:278)
	at org.openide.explorer.view.NodeTreeModel.setNode(NodeTreeModel.java:56)
	at org.openide.explorer.view.TreeView.synchronizeRootContext(TreeView.java:716)
	at org.openide.explorer.view.TreeView.lookupExplorerManager(TreeView.java:558)
	at org.openide.explorer.view.TreeView.addNotify(TreeView.java:538)
	at java.awt.Container.addNotify(Container.java:2500)
	at javax.swing.JComponent.addNotify(JComponent.java:4469)
	at java.awt.Container.addNotify(Container.java:2500)
	at javax.swing.JComponent.addNotify(JComponent.java:4469)
	at java.awt.Container.addNotify(Container.java:2500)
	at javax.swing.JComponent.addNotify(JComponent.java:4469)
	at java.awt.Container.addNotify(Container.java:2500)
	at javax.swing.JComponent.addNotify(JComponent.java:4469)
	at javax.swing.JRootPane.addNotify(JRootPane.java:680)
	at java.awt.Container.addNotify(Container.java:2500)
	at java.awt.Window.addNotify(Window.java:466)
	at java.awt.Dialog.addNotify(Dialog.java:376)
	at org.netbeans.core.windows.services.NbPresenter.addNotify(NbPresenter.java:322)
	at java.awt.Window.pack(Window.java:484)
	at org.netbeans.core.windows.services.NbPresenter.initialize(NbPresenter.java:178)
	at org.netbeans.core.windows.services.NbPresenter.<init>(NbPresenter.java:122)
	at org.netbeans.core.windows.services.NbDialog.<init>(NbDialog.java:44)
	at
org.netbeans.core.windows.services.DialogDisplayerImpl$1.run(DialogDisplayerImpl.java:59)
	at org.openide.util.Mutex.doEventAccess(Mutex.java:1172)
	at org.openide.util.Mutex.readAccess(Mutex.java:209)
	at
org.netbeans.core.windows.services.DialogDisplayerImpl.createDialog(DialogDisplayerImpl.java:51)
	at
org.netbeans.modules.bpel.properties.editors.controls.valid.BpelDialogDisplayer.createDialog(BpelDialogDisplayer.java:41)
[catch] at
org.netbeans.modules.bpel.properties.editors.controls.valid.BpelDialogDisplayer.notify(BpelDialogDisplayer.java:94)
	at
org.netbeans.modules.bpel.properties.editors.VariableMainPanel$1.actionPerformed(VariableMainPanel.java:199)
	at javax.swing.AbstractButton.fireActionPerformed(AbstractButton.java:1849)
	at javax.swing.AbstractButton$Handler.actionPerformed(AbstractButton.java:2169)
	at javax.swing.DefaultButtonModel.fireActionPerformed(DefaultButtonModel.java:420)
	at javax.swing.DefaultButtonModel.setPressed(DefaultButtonModel.java:258)
	at
javax.swing.plaf.basic.BasicButtonListener.mouseReleased(BasicButtonListener.java:234)
	at java.awt.Component.processMouseEvent(Component.java:5488)
	at javax.swing.JComponent.processMouseEvent(JComponent.java:3126)
	at java.awt.Component.processEvent(Component.java:5253)
	at java.awt.Container.processEvent(Container.java:1966)
	at java.awt.Component.dispatchEventImpl(Component.java:3955)
	at java.awt.Container.dispatchEventImpl(Container.java:2024)
	at java.awt.Component.dispatchEvent(Component.java:3803)
	at java.awt.LightweightDispatcher.retargetMouseEvent(Container.java:4212)
	at java.awt.LightweightDispatcher.processMouseEvent(Container.java:3892)
	at java.awt.LightweightDispatcher.dispatchEvent(Container.java:3822)
	at java.awt.Container.dispatchEventImpl(Container.java:2010)
	at java.awt.Window.dispatchEventImpl(Window.java:1774)
	at java.awt.Component.dispatchEvent(Component.java:3803)
	at java.awt.EventQueue.dispatchEvent(EventQueue.java:463)
	at
java.awt.EventDispatchThread.pumpOneEventForHierarchy(EventDispatchThread.java:242)
	at
java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:163)
	at
java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:153)
	at java.awt.Dialog$1.run(Dialog.java:515)
	at java.awt.Dialog.show(Dialog.java:536)
	at org.netbeans.core.windows.services.NbPresenter.superShow(NbPresenter.java:810)
	at org.netbeans.core.windows.services.NbPresenter.doShow(NbPresenter.java:853)
	at org.netbeans.core.windows.services.NbPresenter.run(NbPresenter.java:841)
	at org.openide.util.Mutex.doEventAccess(Mutex.java:1172)
	at org.openide.util.Mutex.readAccess(Mutex.java:209)
	at org.netbeans.core.windows.services.NbPresenter.show(NbPresenter.java:826)
	at java.awt.Component.show(Component.java:1300)
	at java.awt.Component.setVisible(Component.java:1253)
	at
org.netbeans.modules.bpel.properties.editors.VariableTablePanel.addRow(VariableTablePanel.java:204)
	at
org.netbeans.modules.bpel.properties.editors.controls.BaseTablePanel$1.actionPerformed(BaseTablePanel.java:75)
	at javax.swing.AbstractButton.fireActionPerformed(AbstractButton.java:1849)
	at javax.swing.AbstractButton$Handler.actionPerformed(AbstractButton.java:2169)
	at javax.swing.DefaultButtonModel.fireActionPerformed(DefaultButtonModel.java:420)
	at javax.swing.DefaultButtonModel.setPressed(DefaultButtonModel.java:258)
	at
javax.swing.plaf.basic.BasicButtonListener.mouseReleased(BasicButtonListener.java:234)
	at java.awt.Component.processMouseEvent(Component.java:5488)
	at javax.swing.JComponent.processMouseEvent(JComponent.java:3126)
	at java.awt.Component.processEvent(Component.java:5253)
	at java.awt.Container.processEvent(Container.java:1966)
	at java.awt.Component.dispatchEventImpl(Component.java:3955)
	at java.awt.Container.dispatchEventImpl(Container.java:2024)
	at java.awt.Component.dispatchEvent(Component.java:3803)
	at java.awt.LightweightDispatcher.retargetMouseEvent(Container.java:4212)
	at java.awt.LightweightDispatcher.processMouseEvent(Container.java:3892)
	at java.awt.LightweightDispatcher.dispatchEvent(Container.java:3822)
	at java.awt.Container.dispatchEventImpl(Container.java:2010)
	at java.awt.Window.dispatchEventImpl(Window.java:1774)
	at java.awt.Component.dispatchEvent(Component.java:3803)
	at java.awt.EventQueue.dispatchEvent(EventQueue.java:463)
	at
java.awt.EventDispatchThread.pumpOneEventForHierarchy(EventDispatchThread.java:242)
	at
java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:163)
	at
java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:153)
	at java.awt.Dialog$1.run(Dialog.java:515)
	at java.awt.Dialog.show(Dialog.java:536)
	at org.netbeans.core.windows.services.NbPresenter.superShow(NbPresenter.java:810)
	at org.netbeans.core.windows.services.NbPresenter.doShow(NbPresenter.java:853)
	at org.netbeans.core.windows.services.NbPresenter.run(NbPresenter.java:841)
	at org.openide.util.Mutex.doEventAccess(Mutex.java:1172)
	at org.openide.util.Mutex.readAccess(Mutex.java:209)
	at org.netbeans.core.windows.services.NbPresenter.show(NbPresenter.java:826)
	at java.awt.Component.show(Component.java:1300)
	at java.awt.Component.setVisible(Component.java:1253)
	at
org.netbeans.modules.bpel.properties.PropertyNodeFactory.showNodeCustomEditor(PropertyNodeFactory.java:329)
	at
org.netbeans.modules.bpel.navigator.nodes.NavigatorNodeFactory.showNodeCustomEditor(NavigatorNodeFactory.java:120)
	at
org.netbeans.modules.bpel.design.DesignView.showCustomEditor(DesignView.java:335)
	at
org.netbeans.modules.bpel.design.MouseHandler.mouseClicked(MouseHandler.java:102)
	at java.awt.AWTEventMulticaster.mouseClicked(AWTEventMulticaster.java:211)
	at java.awt.Component.processMouseEvent(Component.java:5491)
	at javax.swing.JComponent.processMouseEvent(JComponent.java:3126)
	at java.awt.Component.processEvent(Component.java:5253)
	at java.awt.Container.processEvent(Container.java:1966)
	at java.awt.Component.dispatchEventImpl(Component.java:3955)
	at java.awt.Container.dispatchEventImpl(Container.java:2024)
	at java.awt.Component.dispatchEvent(Component.java:3803)
	at java.awt.LightweightDispatcher.retargetMouseEvent(Container.java:4212)
	at java.awt.LightweightDispatcher.processMouseEvent(Container.java:3901)
	at java.awt.LightweightDispatcher.dispatchEvent(Container.java:3822)
	at java.awt.Container.dispatchEventImpl(Container.java:2010)
	at java.awt.Window.dispatchEventImpl(Window.java:1774)
	at java.awt.Component.dispatchEvent(Component.java:3803)
	at java.awt.EventQueue.dispatchEvent(EventQueue.java:463)
	at
java.awt.EventDispatchThread.pumpOneEventForHierarchy(EventDispatchThread.java:242)
	at
java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:163)
	at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:157)
	at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:149)
	at java.awt.EventDispatchThread.run(EventDispatchThread.java:110)
Comment 1 Nikita Krjukov 2006-07-07 12:57:58 UTC
This defect is very obsolete. 
Up to now the implementation has chahged significantly and UI appearance also 
has been changed twice. 
Now it's possible to create variables of almost any type. 
The Schema Primitive Types are still waiting to be implemented. 
Comment 2 Mikhail Kondratyev 2006-07-24 14:17:30 UTC
Verified in build from 060723


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo